com.h3c.dist.sync

## Enum SyncServiceMultiOpType

- java.lang.Object
- - java.lang.Enum<SyncServiceMultiOpType>
  - - com.h3c.dist.sync.SyncServiceMultiOpType

- All Implemented Interfaces:
    Serializable, Comparable<SyncServiceMultiOpType>

      public enum SyncServiceMultiOpType
      extends Enum<SyncServiceMultiOpType>

  Supported types in a multi operation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OP_CREATE` Create operation
    `OP_DELETE` Delete operation
    `OP_ERROR` Error op type.
    `OP_SETDATA` Set data of a node operation

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyncServiceMultiOpType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SyncServiceMultiOpType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OP_CREATE

          public static final SyncServiceMultiOpType OP_CREATE

      Create operation

    - #### OP_DELETE

          public static final SyncServiceMultiOpType OP_DELETE

      Delete operation

    - #### OP_SETDATA

          public static final SyncServiceMultiOpType OP_SETDATA

      Set data of a node operation

    - #### OP_ERROR

          public static final SyncServiceMultiOpType OP_ERROR

      Error op type. Used in Op result to define a operation failure

  - ### Method Detail

    - #### values

          public static SyncServiceMultiOpType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyncServiceMultiOpType c : SyncServiceMultiOpType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyncServiceMultiOpType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.